## ghostwriter 23.08.5+ds

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2023 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.90")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# Append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMPoQmTools)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/poqm")
    ecm_install_po_files_as_qm(poqm)
endif()

find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

set(QTAWESOME_USE_FREE ON)
add_subdirectory(3rdparty/QtAwesome)
set(CMARK_TESTS OFF)
add_subdirectory(3rdparty/cmark-gfm EXCLUDE_FROM_ALL)
add_subdirectory(src)

if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

# Add icon files to the application's source files to have CMake bundle them in the executable.
set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/resources/icons)

set(ICON_FILES
    ${ICONS_FOLDER}/sc-apps-ghostwriter.svg
    ${ICONS_FOLDER}/16-apps-ghostwriter.png
    ${ICONS_FOLDER}/22-apps-ghostwriter.png
    ${ICONS_FOLDER}/32-apps-ghostwriter.png
    ${ICONS_FOLDER}/64-apps-ghostwriter.png
    ${ICONS_FOLDER}/128-apps-ghostwriter.png
    ${ICONS_FOLDER}/256-apps-ghostwriter.png
)

ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(ghostwriter PRIVATE ${ICONS_SOURCES})

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
    string(TIMESTAMP CURRENT_YEAR "%Y")

    set_property(
        TARGET ghostwriter
        PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/resources/mac/MacOSBundleInfo.plist.in
    )

    # These are substituted by CMake into MacOSBundleInfo.plist.in.
    set(MACOSX_BUNDLE_DISPLAY_NAME "ghostwriter")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.ghostwriter")
    set(MACOSX_BUNDLE_BUNDLE_NAME "ghostwriter")
    set(MACOSX_BUNDLE_DISPLAY_NAME "ghostwriter")
    set(MACOSX_BUNDLE_INFO_STRING "ghostwriter - A Markdown Editor")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "ghostwriter ${RELEASE_SERVICE_VERSION}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
    set(MACOSX_BUNDLE_COPYRIGHT "2014-${CURRENT_YEAR} the ghostwriter authors")
endif()

install(TARGETS ghostwriter ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
    ICONS ${ICON_FILES}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(
    PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/resources/linux/org.kde.ghostwriter.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/resources/linux/org.kde.ghostwriter.metainfo.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/**/*.cpp src/**/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: GPL-3.0-or-later

kdoctools_create_manpage(man-ghostwriter.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== autotest/bookmark/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(bookmarktest VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Test Concurrent Widgets)
endif()

qt_standard_project_setup()

add_executable(bookmarktest
    bookmarktest.cpp
    ../../src/bookmark.h
    ../../src/bookmark.cpp
)

add_test(bookmarktest bookmarktest)
enable_testing(true)

target_link_libraries(bookmarktest PRIVATE Qt::Core Qt::Test Qt::Concurrent Qt::Widgets)

=== autotest/library/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later


cmake_minimum_required(VERSION 3.16)

project(librarytest VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Test Concurrent Widgets)
endif()

qt_standard_project_setup()

add_executable(librarytest
    librarytest.cpp
    ../../src/library.h
    ../../src/library.cpp
    ../../src/bookmark.h
    ../../src/bookmark.cpp
)

add_test(librarytest librarytest)
enable_testing(true)

target_link_libraries(librarytest PRIVATE Qt::Core Qt::Test Qt::Concurrent Qt::Widgets)

=== debian/changelog ===
ghostwriter (23.08.5+ds-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:45:10 +0000

ghostwriter (23.08.5+ds-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:28:21 +0000

ghostwriter (23.08.5+ds-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:31:12 -0700

ghostwriter (23.08.4+ds-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. (LP: #2046844)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 07 Feb 2024 04:40:35 -0700

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sebastien CHAVAUX <seb95.scou@gmail.com>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               libcmark-gfm-dev,
               libcmark-gfm-extensions-dev,
               libhunspell-dev,
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5sonnet-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5webchannel5-dev (>= 5.15.2~),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://ghostwriter.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
Rules-Requires-Root: no

Package: ghostwriter
Architecture: any
Depends: libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
Suggests: cmark,
          discount,
          hunspell-dictionary,
          myspell-dictionary,
          pandoc,
          wkhtmltopdf,
          apparmor,
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

=== debian/watch ===
version=4
opts=dversionmangle=auto,pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## ghostwriter 24.02.2

=== debian/changelog ===
ghostwriter (24.02.2-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * Drop all patches.
  * Use unaltered source with included cmark, and build with it.
  * Don't BD against system libcmark-gfm*-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 May 2024 19:50:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sebastien CHAVAUX <seb95.scou@gmail.com>,
+           Sebastien CHAVAUX <seb95.scou@gmail.com>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-apparmor,
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
-               libcmark-gfm-dev,
-               libcmark-gfm-extensions-dev,
                libhunspell-dev,
                libkf5configwidgets-dev (>= 5.90.0~),
                libkf5coreaddons-dev (>= 5.90.0~),
@@ -24,23 +21,21 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.15.2~),
-               qtwebengine5-dev (>= 5.15.2~),
+               qtwebengine5-dev (>= 5.15.2~)
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://ghostwriter.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ghostwriter.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ghostwriter
 
 Package: ghostwriter
 Architecture: any
 Depends: libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
-Suggests: cmark,
-          discount,
+Suggests: discount,
           hunspell-dictionary,
           myspell-dictionary,
           pandoc,
-          wkhtmltopdf,
-          apparmor,
+          wkhtmltopdf
 Description: Distraction-free, themeable Markdown editor
  ghostwriter is a Markdown editor that provides a themable,
  distraction-free writing environment, along with a live HTML

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## ghostwriter 24.08.3+ds

=== debian/changelog ===
ghostwriter (24.08.3+ds-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 09:00:23 +0000

ghostwriter (24.08.2+ds-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:50:52 -0500

ghostwriter (24.08.2+ds-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info
    from cmake.
  * Drop patch applied upstream, refresh patch to remove vendored
    libcmark-gfm.
  * Switch to kf6 debhelper build sequence.
  * Drop duplicate transitional pkg-config build dependency.
  * Review copyright information.
  * Bump Standards-Version to 4.7.0, no change required.
  * Backport upstream commit to fix the crash when the .conf file is
    missing.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Oct 2024 19:10:31 +0200

ghostwriter (23.08.5+ds-0ubuntu6) oracular; urgency=medium

  * ALlow all in apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 15:15:14 +0100

ghostwriter (23.08.5+ds-0ubuntu5) noble; urgency=medium

  * Include tunables/multiarch.d to allow for variable

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 22 May 2024 06:26:34 -0700

ghostwriter (23.08.5+ds-0ubuntu4) oracular; urgency=medium

  * 'Set @{multiarch} rather than hard code path. (LP: #2064492) 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 06:57:21 -0700

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sebastien CHAVAUX <seb95.scou@gmail.com>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libcmark-gfm-dev,
               libcmark-gfm-extensions-dev,
               libhunspell-dev,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webchannel-dev,
               qt6-webengine-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://ghostwriter.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter

Package: ghostwriter
Architecture: any
Depends: libqt6svg6, ${misc:Depends}, ${shlibs:Depends},
Suggests: cmark,
          discount,
          hunspell-dictionary,
          myspell-dictionary,
          pandoc,
          wkhtmltopdf,
          apparmor,
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

## ghostwriter 24.12.0+ds

=== debian/changelog ===
ghostwriter (24.12.0+ds-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for libcmark-gfm0.29.0.gfm.13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 07 Jan 2025 18:10:37 +0000

ghostwriter (24.12.0+ds-1ubuntu1) plucky; urgency=medium

  * Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Dec 2024 07:17:33 +0000

ghostwriter (24.12.0+ds-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Merge and reexport concatenated upstream signing keys.
  * Update build-deps and deps with the info from cmake.
  * Drop backported upstream commits now part of the ustream release.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 14:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                debhelper-compat (= 13),
                dh-apparmor,
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libcmark-gfm-dev,
                libcmark-gfm-extensions-dev,
@@ -24,7 +25,7 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
                qt6-webchannel-dev,
-               qt6-webengine-dev,
+               qt6-webengine-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://ghostwriter.kde.org/

## ghostwriter 24.12.1+ds

=== debian/changelog ===
ghostwriter (24.12.1+ds-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jan 2025 15:54:24 +0000

## ghostwriter 24.12.2+ds

=== debian/changelog ===
ghostwriter (24.12.2+ds-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Depend on sonnet6-plugins for spell checking. (Closes: #1077161)
  * New upstream release (24.12.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 23:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sebastien CHAVAUX <seb95.scou@gmail.com>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-apparmor,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
@@ -29,19 +26,21 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://ghostwriter.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ghostwriter.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ghostwriter
 
 Package: ghostwriter
 Architecture: any
-Depends: libqt6svg6, ${misc:Depends}, ${shlibs:Depends},
+Depends: libqt6svg6,
+         sonnet6-plugins,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Suggests: cmark,
           discount,
           hunspell-dictionary,
           myspell-dictionary,
           pandoc,
           wkhtmltopdf,
-          apparmor,
 Description: Distraction-free, themeable Markdown editor
  ghostwriter is a Markdown editor that provides a themable,
  distraction-free writing environment, along with a live HTML

## ghostwriter 24.12.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2022-2023 Megan Conkle <megan.conkle@kdemail.net>
+﻿# SPDX-FileCopyrightText: 2022-2024 Megan Conkle <megan.conkle@kdemail.net>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
@@ -7,18 +7,39 @@
     cmake_policy(SET CMP0063 NEW)
 endif()
 
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE "Release" CACHE STRING
+            "Default build type: Release" FORCE)
+endif()
+
+if (NOT BUILD_TESTING)
+    set (BUILD_TESTING OFF)
+endif()
+
+message("Generating makefile for ${CMAKE_BUILD_TYPE} build...")
+
+# KF6 only
+set(QT_MAJOR_VERSION 6)
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MAJOR_VERSION 6)
+set(KF_DEP_VERSION "6.0.0")
+set(KF_MIN_VERSION "6.0.0")
+
+# use C++20 like KF6 itself
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_EXTENSIONS OFF)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
+
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.90")
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
-find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 # Append to the module path so modules can be overridden from the command line.
 list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -32,21 +53,11 @@
 include(KDECMakeSettings)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
+include(ECMAddTests)
 include(ECMPoQmTools)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 include(FeatureSummary)
-
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_MIN_VERSION "6.4.0")
-    set(KF_MIN_VERSION "5.240.0")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
-
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -62,8 +73,6 @@
     TYPE OPTIONAL
 )
 
-set(QTAWESOME_USE_FREE ON)
-add_subdirectory(3rdparty/QtAwesome)
 set(CMARK_TESTS OFF)
 add_subdirectory(3rdparty/cmark-gfm EXCLUDE_FROM_ALL)
 add_subdirectory(src)
@@ -88,6 +97,11 @@
 
 ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
 target_sources(ghostwriter PRIVATE ${ICONS_SOURCES})
+
+if(BUILD_TESTING)
+   add_subdirectory(autotest)
+endif()
+
 
 # See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
 if(APPLE)

=== debian/changelog ===
ghostwriter (24.12.3+ds-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:52 +0000

ghostwriter (24.12.2+ds-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Limit build to architectures where QtWebEngine is available.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Mar 2025 15:46:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sebastien CHAVAUX <seb95.scou@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
+               dh-apparmor,
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
@@ -30,7 +32,7 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ghostwriter
 
 Package: ghostwriter
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: libqt6svg6,
          sonnet6-plugins,
          ${misc:Depends},
@@ -41,6 +43,7 @@
           myspell-dictionary,
           pandoc,
           wkhtmltopdf,
+          apparmor,
 Description: Distraction-free, themeable Markdown editor
  ghostwriter is a Markdown editor that provides a themable,
  distraction-free writing environment, along with a live HTML

## ghostwriter 25.04.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== autotest/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2024 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(unittest VERSION 1.0.0 LANGUAGES CXX)

add_subdirectory(asynctextwriter)
add_subdirectory(bookmark)
add_subdirectory(library)

enable_testing(true)

=== debian/changelog ===
ghostwriter (25.04.0+ds-1ubuntu1) questing; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Sun, 04 May 2025 08:35:43 +0100

ghostwriter (25.04.0+ds-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:52:21 +0200

=== debian/control ===
--- 
+++ 
@@ -23,20 +23,17 @@
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-               qt6-webchannel-dev,
+               qt6-webchannel-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://ghostwriter.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ghostwriter.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ghostwriter
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
 
 Package: ghostwriter
-Architecture: amd64 arm64 armhf
-Depends: libqt6svg6,
-         sonnet6-plugins,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Architecture: any
+Depends: libqt6svg6, sonnet6-plugins, ${misc:Depends}, ${shlibs:Depends},
 Suggests: cmark,
           discount,
           hunspell-dictionary,

## ghostwriter 25.04.1+ds

=== debian/changelog ===
ghostwriter (25.04.1+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 06:23:33 +0100

## ghostwriter 25.04.2+ds

=== debian/changelog ===
ghostwriter (25.04.2+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 10:29:14 +0100

## ghostwriter 25.04.3+ds

=== debian/changelog ===
ghostwriter (25.04.3+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Jul 2025 15:39:26 +0100

## ghostwriter 25.07.90+ds

=== debian/changelog ===
ghostwriter (25.07.90+ds-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Jul 2025 06:59:38 +0100

ghostwriter (25.07.80+ds-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 10:27:29 +0100

## ghostwriter 25.08.0

=== debian/changelog ===
ghostwriter (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:52:29 +0000

ghostwriter (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:04:08 +0000

ghostwriter (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:19:39 +0000

ghostwriter (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:31:39 +0000

ghostwriter (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:04:10 +0000

ghostwriter (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:25:14 +0000

ghostwriter (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:58:32 +0000

ghostwriter (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:18:30 +0000

ghostwriter (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:17:51 +0000

ghostwriter (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:05:27 +0000

ghostwriter (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:29:29 +0000

ghostwriter (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:54:03 +0000

ghostwriter (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:25:32 +0000

ghostwriter (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:19:06 +0000

ghostwriter (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:00:58 +0000

ghostwriter (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:16:10 +0000

ghostwriter (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:00:59 +0000

ghostwriter (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:49:55 +0000

ghostwriter (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:27:00 +0000

ghostwriter (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 11:43:35 +0000

ghostwriter (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:04:58 +0000

ghostwriter (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:52:47 +0000

ghostwriter (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:36:37 +0000

ghostwriter (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:11:53 +0000

ghostwriter (23.04.3-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

## ghostwriter 25.08.0+ds

=== debian/changelog ===
ghostwriter (25.08.0+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:28:13 +0100

## ghostwriter 25.08.1

=== debian/changelog ===
ghostwriter (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 07:20:21 +0000

ghostwriter (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:36:25 +0000

=== debian/control ===
Source: ghostwriter
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               libhunspell-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/office/ghostwriter
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ghostwriter.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ghostwriter
Maintainer: Neon CI <neon@kde.org>

Package: ghostwriter
Architecture: any
Depends: cmark-gfm,
         libtext-multimarkdown-perl,
         pandoc,
         qt6-webengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: distraction-free text editor for Markdown
 Ghostwriter is a distraction-free text editor for Markdown featuring
 a live HTML preview as you type, theme creation, focus mode,
 fullscreen mode, live word count, and document navigation in an
 aesthetic writing environment.  It comes with the cmark-gfm Markdown
 processor built in, and can integrate with Pandoc, MultiMarkdown,
 Discount, and cmark processors if they are installed.

## ghostwriter 25.08.1+ds

=== autotest/bookmark/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(bookmarktest VERSION 1.0.0 LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

qt_standard_project_setup()

ecm_add_test(
    bookmarktest.cpp
    ../../src/bookmark.h
    ../../src/bookmark.cpp
    LINK_LIBRARIES
        PRIVATE
            Qt::Core
            Qt::Test
            Qt::Concurrent
            Qt::Widgets
    TEST_NAME bookmarktest
)

enable_testing(true)

=== debian/changelog ===
ghostwriter (25.08.1+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 08:30:34 +0100

## ghostwriter 25.08.1+p24.04+vstable+git20250922.0457

=== debian/changelog ===
ghostwriter (25.08.1+p24.04+vstable+git20250922.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:57:49 +0000

## ghostwriter 25.08.1+p24.04+vstable+git20251001.1131

=== debian/changelog ===
ghostwriter (25.08.1+p24.04+vstable+git20251001.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:31:41 +0000

## ghostwriter 25.08.2

=== debian/changelog ===
ghostwriter (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 05:53:24 +0000

ghostwriter (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:12:07 +0000

## ghostwriter 25.08.2%2Bds

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sebastien CHAVAUX <seb95.scou@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libcmark-gfm-dev,
               libcmark-gfm-extensions-dev,
               libhunspell-dev,
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webchannel-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://ghostwriter.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter

Package: ghostwriter
Architecture: amd64 arm64 armhf
Depends: libqt6svg6, sonnet6-plugins, ${misc:Depends}, ${shlibs:Depends},
Suggests: cmark,
          discount,
          hunspell-dictionary,
          myspell-dictionary,
          pandoc,
          wkhtmltopdf,
          apparmor,
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

## ghostwriter 25.08.2+ds

=== debian/changelog ===
ghostwriter (25.08.2+ds-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Oct 2025 08:51:14 +0100

## ghostwriter 25.08.2+p24.04+vstable+git20251011.2324

=== debian/changelog ===
ghostwriter (25.08.2+p24.04+vstable+git20251011.2324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:24:50 +0000

## ghostwriter 25.08.2+p24.04+vstable+git20251015.1155

=== debian/changelog ===
ghostwriter (25.08.2+p24.04+vstable+git20251015.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:55:14 +0000

## ghostwriter 25.08.2+p24.04+vstable+git20251021.0656

=== debian/changelog ===
ghostwriter (25.08.2+p24.04+vstable+git20251021.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:56:51 +0000

## ghostwriter 25.08.2+p24.04+vstable+git20251031.0725

=== debian/changelog ===
ghostwriter (25.08.2+p24.04+vstable+git20251031.0725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:25:49 +0000

## ghostwriter 25.08.3

=== debian/changelog ===
ghostwriter (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:49:29 +0000

ghostwriter (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:43 +1000

## ghostwriter 25.08.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,8 +32,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== debian/changelog ===
ghostwriter (25.08.3+ds-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 09:12:42 +0000

## ghostwriter 25.08.3+p24.04+vunstable+git20251206.0556

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== debian/changelog ===
ghostwriter (25.08.3+p24.04+vunstable+git20251206.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 05:56:57 +0000

## ghostwriter 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== autotest/library/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later


cmake_minimum_required(VERSION 3.16)

project(librarytest VERSION 1.0.0 LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

qt_standard_project_setup()

ecm_add_test(
    librarytest.cpp
    ../../src/library.h
    ../../src/library.cpp
    ../../src/bookmark.h
    ../../src/bookmark.cpp
    LINK_LIBRARIES
        PRIVATE
            Qt::Core
            Qt::Test
            Qt::Concurrent
            Qt::Widgets
    TEST_NAME librarytest
)

enable_testing(true)

=== debian/changelog ===
ghostwriter (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 16:57:23 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	mkdir -p debian/ghostwriter/etc/apparmor.d
	cp debian/ghostwriter-apparmor debian/ghostwriter/etc/apparmor.d/usr.bin.ghostwriter
	dh_apparmor --profile-name=usr.bin.ghostwriter -pghostwriter

## ghostwriter 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== debian/changelog ===
ghostwriter (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sebastien CHAVAUX <seb95.scou@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-apparmor,
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libcmark-gfm-dev,
                libcmark-gfm-extensions-dev,

## ghostwriter 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,8 +32,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== debian/changelog ===
ghostwriter (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:20:14 +0000

ghostwriter (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:29 +1000

## ghostwriter 25.12.0+p24.04+vstable+git20260102.1202

=== debian/changelog ===
ghostwriter (25.12.0+p24.04+vstable+git20260102.1202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:02:14 +0000

## ghostwriter 25.12.0+p24.04+vunstable+git20251208.1131

=== debian/changelog ===
ghostwriter (25.12.0+p24.04+vunstable+git20251208.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:31:14 +0000

## ghostwriter 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== debian/changelog ===
ghostwriter (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:46:06 +0000

ghostwriter (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:57:29 +0000

ghostwriter (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:14:04 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
 
 Package: ghostwriter
-Architecture: amd64 arm64 armhf
+Architecture: amd64 amd64v3 arm64 armhf
 Depends: libqt6svg6, sonnet6-plugins, ${misc:Depends}, ${shlibs:Depends},
 Suggests: cmark,
           discount,

## ghostwriter 25.12.1+p24.04+vstable+git20260122.0854

=== debian/changelog ===
ghostwriter (25.12.1+p24.04+vstable+git20260122.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:54:39 +0000

ghostwriter (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:53 +1000

## ghostwriter 25.12.1+p24.04+vstable+git20260131.0300

=== debian/changelog ===
ghostwriter (25.12.1+p24.04+vstable+git20260131.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:00:33 +0000

## ghostwriter 25.12.1+p24.04+vunstable+git20260201.0616

=== debian/changelog ===
ghostwriter (25.12.1+p24.04+vunstable+git20260201.0616-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:16:22 +0000

## ghostwriter 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ghostwriter VERSION ${RELEASE_SERVICE_VERSION} LANGUAGES CXX)

=== debian/changelog ===
ghostwriter (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:18:02 +0000
